> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-7-0.md).

# Version 6.7.0 Changelog (April 14, 2016)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.7.0.42960

Release Date: April 14, 2016

### Notes

This release brings the core PDF functionality to version 6.7.0 of the desktop SDKs.

### BREAKING CHANGES

* All PDFNet package names starting with `pdftron` are changed to `com.pdftron`, also, all package names are now changed to lower case. You will still be able to use the old package names for a limited amount of time. They are deprecated and will be removed in the next official release.
* Most public methods in PDFViewCtrl will now throw PDFNetException.

### HIGHLIGHT

* **Full Version Only:** Request first page previews for files via `DocumentPreviewCache`
* **Full Version Only:** Universal document conversion via `(DocumentConversion)Convert.universalConversion(String, WordToPDFOptions)`

**PDFViewCtrl**

* **Full Version Only:** Open and view non-PDF document including docx, jpeg, jpg, gif, png and cbz while it is being converted to PDF
* Support for right to left languages (RTL support in `TextExtractor` only available in full version of the library)
* Improved page sliding animation
* Added double tap zoom animation
* Set the color post processing transformation to achieve different color viewing mode such as Sepia

**Tools**

* Improved ink smoothing
* A `TextHighlighter` tool for highlighting all search result
* Copy and paste annotations
* Change the color and shape of sticky notes
* Change the color and thickness of signature
* Inline freetext tool creation/editing
* Select different fonts for freetext

**Controls**

* **Full Version Only:** A `ReflowControl` utility class that can be used to show flexible reflow format of PDF documents
* A new `UserCropSelectionDialogFragment` utility class that enables user to crop pages either automatically or manually without modifying the PDF
* A `PrintAnnotationsSummaryDialogFragment` enabling user to select the contents to print such as summary of annotations
* An `AddPageDialogFragment` allowing user to add new pages as lined, grid, graph and music paper
* A `SearchResultsPopupWindow` for full document search
* Improved `ThumbnailsViewFragment` that allows page rotation, importing pages from other files as well as exporting pages to a separate file
* Improved `AnnotationDialogFragment` that allows exporting annotation summary to a separate file

**Complete Reader**

* Insert images onto existing pages as stamp
* Merging files for all file formats supported by the PDFViewCtrl (Non-PDF formats only available in full version of the library)

### CHANGED APIs

* `PDFViewCtrl.openUniversalDocument(DocumentConversion)`
* `PDFViewCtrl.setPageSpacingDP(int, int, int, int)`
* `(int)PDFViewCtrl.getPageBox()`
* `PDFViewCtrl.setPageBox(int)`
* `PDFViewCtrl.hideAnnotation(Annot)`
* `PDFViewCtrl.showAnnotation(Annot)`
* `(int)PDFViewCtrl.getClientBackgroundColor()`
* `PDFViewCtrl.setNextOnLayoutAdjustments(int, int, Boolean)`
* `PDFViewCtrl.getContentSize(int[])`
* `(ArrayList<Annot>)PDFViewCtrl.getAnnotationListAt(int, int, int, int)`
* `PDFViewCtrl.setColorPostProcessColors(int, int)`
* `PDFViewCtrl.setColorPostProcessMapFile(Filter)`
* `(int[])PDFViewCtrl.getVisiblePagesInTransition()`
* `Print.exportAnnotations(PDFDoc, bool)`

### BUG FIXES

* Many UI improvements
* Miscellaneous bug fixes and improvements


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-7-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
